Subject: Re: [PATCH (take 2)] gitweb: Do not parse refs by hand, use git-peek-remote instead

From: Jakub Narebski <[email-masked]>
Date: Fri, 15 Sep 2006 10:43:20 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > But, if we change git_get_refs_list to do also work of git_get_references,
> > we should also change git_get_references to not use info/refs file at all
> > (it can, and usually for unknown reasons is stale) but always use
> > git-peek-remote, for consistency.
> 
> Yes that would make sense.  A repository served by gitweb does
> not necessarily has to serve objects over http transport, so it
> is nicer not to require info/refs to even exist or up to date.

We do not require info/refs, as currently git_get_references falls
back to git-ls-remotes (should be git-peek-remote as it is faster)
if info/refs does not exist. But info/refs is usually stale; I guess
it is updated on pull/fetch/push, but not on commit.

-- 
Jakub Narebski
Poland